Bug 1685211 (SPHINX2) - Update Sphinx to version 2 and drop Python 2 support from Sphinx
Summary: Update Sphinx to version 2 and drop Python 2 support from Sphinx
Keywords:
Status: CLOSED NEXTRELEASE
Alias: SPHINX2
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact:
URL:
Whiteboard:
Depends On: PYTEST4 1737205 1629894 1678031 1684611 1685184 1685515 1685519 1685524 1685530 1685942 1687572 1687777 1689602 1690057 1690329 1690793 1691692 1697544 1698477 1704741 1705308 1705932 1706159 1706355 1707243 1707244 1709063 1711229 1711962 1711977 1712016 1715549 1716482 1718323 1718336 1721642 1728074 1736503
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-04 16:48 UTC by Ben Cotton
Modified: 2019-08-27 10:57 UTC (History)
3 users (show)

Fixed In Version: python-sphinx-2.0.0~b1-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-27 10:57:04 UTC


Attachments (Terms of Use)

Description Ben Cotton 2019-03-04 16:48:42 UTC
This is a tracking bug for Change: Update Sphinx to version 2 and drop Python 2 support from Sphinx
For more details, see: https://fedoraproject.org/wiki/Changes/Sphinx2

The version 2.0.x of Sphinx, popular Python documentation generator and framework, is expected to be released in early 2019. It drops support for Python 2. As part of Finalizing Fedora's Switch to Python 3, we update python-sphinx to 2.0.x and we drop python2-sphinx and related packages from Fedora 31  and further.

Comment 1 Miro Hrončok 2019-03-04 17:29:34 UTC
Main fedora-sphinx pull request: https://src.fedoraproject.org/rpms/python-sphinx/pull-request/8

Comment 4 Miro Hrončok 2019-03-08 19:28:11 UTC
Status update: Will merge and build stuff on Monday. We will ship the 2.0.0 beta to rawhide so we can report bugs to upstream before they release 2.0.0.

Heads up e-mail: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/X7A7AYR4HJPXKGV7WWNIILRPHE6F4RQ7/

Comment 5 Miro Hrončok 2019-03-11 16:59:51 UTC
I should now probably rebuild all the new sphinxcontrib packages with tests enabled. But since I'll bootstrap this again for Python 3.8, I've decided not to. They all pass tests in local mock.

Comment 6 Miro Hrončok 2019-04-16 13:28:19 UTC
This was done from Sphinx perspective.

Comment 7 Ben Cotton 2019-08-13 18:33:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 8 Miro Hrončok 2019-08-27 10:57:04 UTC
This was just done. Reopen if you think we left something out.


Note You need to log in before you can comment on or make changes to this bug.